@if (iterationViewComponentData) {
  <div class="iteration-information-grid">
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.iteration.label.uuid' | translate"
    >
    </sqtm-core-label>
    <div
      [attr.data-test-field-id]="'iteration-uuid'"
      class="flex-row overflow-hidden"
    >
      <span
        nz-tooltip
        [sqtmCoreLabelTooltip]="iterationViewComponentData.iteration.uuid"
        nz-paragraph
        class="field-value-color text-ellipsis"
      >
        {{ iterationViewComponentData.iteration.uuid }}
      </span>
      <span
        class="uuid-copy"
        nz-paragraph
        nz-typography
        nzCopyable
        [nzCopyIcons]="['sqtm-core-generic:copy', 'sqtm-core-generic:confirm']"
        [nzCopyText]="iterationViewComponentData.iteration.uuid"
      ></span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.id.capitalize' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'iteration-id'">
      <span class="field-value-color">{{
        iterationViewComponentData.iteration.id
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.state.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-select-level-enum-field
      class="full-width"
      [attr.data-test-field-id]="'iteration-status'"
      [layout]="'no-buttons'"
      [enumType]="'CampaignStatus'"
      [showIcon]="true"
      [sqtmCoreEntityViewEditableSelectLevelEnumField]="'iterationStatus'"
    >
    </sqtm-core-editable-select-level-enum-field>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.creation.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'iteration-created'"
      [userName]="iterationViewComponentData.iteration.createdBy"
      [date]="iterationViewComponentData.iteration.createdOn"
    >
    </sqtm-core-auditable-field>
    <sqtm-core-label
      [text]="'sqtm-core.campaign-workspace.progress-state.label' | translate"
    >
    </sqtm-core-label>
    <div [attr.data-test-field-id]="'iteration-progress-state'">
      <span class="field-value-color">{{
        getProgressStatus(
          iterationViewComponentData.iteration.testPlanStatistics.status
        ) | translate
      }}</span>
    </div>
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.modification.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-auditable-field
      [attr.data-test-field-id]="'iteration-lastModified'"
      [userName]="iterationViewComponentData.iteration.lastModifiedBy"
      [date]="iterationViewComponentData.iteration.lastModifiedOn"
    >
    </sqtm-core-auditable-field>
    @for (cfd of customFieldData; track trackCfd($index, cfd)) {
      <sqtm-core-label class="iteration-grid-first-column" [text]="cfd.label">
      </sqtm-core-label>
      <div class="iteration-grid-group-three-column">
        <sqtm-core-custom-field-widget [sqtmCoreEntityCustomField]="cfd">
        </sqtm-core-custom-field-widget>
      </div>
    }
  </div>
  <div style="margin-top: 20px">
    <sqtm-core-label
      [text]="'sqtm-core.entity.generic.description.label' | translate"
    >
    </sqtm-core-label>
    <sqtm-core-editable-rich-text
      [border]="true"
      [attr.data-test-field-id]="'iteration-description'"
      [editable]="true"
      [focus]="true"
      [sqtmCoreEntityViewEditableRichTextField]="'description'"
      [placeholder]="
        'sqtm-core.generic.editable.description.placeholder' | translate
      "
    >
    </sqtm-core-editable-rich-text>
  </div>
}
